gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for widgets which contain other widgets

A Gtk# user interface is constructed by nesting widgets inside widgets. widgets are the inner nodes in the resulting tree of widgets: they contain other widgets. So, for example, you might have a containing a containing a . If you wanted an image instead of a textual label inside the frame, you might replace the widget with a widget.

There are two major kinds of widgets in Gtk#. Both are subclasses of the abstract base class.

The first type of widget has a single child widget and derives from . These containers are decorators, which add some kind of functionality to the child. For example, a makes its child into a clickable button; a draws a frame around its child and a places its child widget inside a top-level .

The second type of can have more than one child; its purpose is to manage layout. This means that these containers assign sizes and positions to their children. For example, a arranges its children in a horizontal row, and a arranges the widgets it contains in a two-dimensional grid.

To fulfill its task, a layout must negotiate the size requirements with its parent and its children. This negotiation is carried out in two phases, size requisition and size allocation.

Gtk.Widget Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Attempts to resize this container.
- Method
  System.Void `` `` `` Gets the values of one or more child properties for child and container. an object of type an object of type an object of type Gets the values of one or more child properties for child and container.
- Method
  System.Void `` Adds a to the . an object of type

  Typically used for simple containers such as , , or ; for more complicated layout containers such as or , this function will pick default packing parameters that may not be correct. So consider functions such as and as an alternative to in those cases. A may be added to only one at a time; you can not place the same widget inside two different containers.

- Method
  System.Void `` Removes a from the . an object of type must be inside .
- Method
  System.Void Removes a focus chain. Removes a focus chain explicitly set with .
- Method
  System.Void Tries to resize the child widgets of this container.
- Method
  System.Void `` `` `` Sets a child property of a . a child of this the child property name the value to set to You will not normally need to use this method; Gtk# automatically generates child property accessors for all subclasses.
- Method
  GLib.Value `` `` Gets a child property of a . a child of this the child property name the value of the property of You will not normally need to use this method; Gtk# automatically generates child property accessors for all subclasses.
- Method
  System.Void `` `` Send synthetic expose events to all children that do not have their own . an object of type an object of type

  When a receives an expose event, it must send synthetic expose events to all children that do not have their own s. This function provides a convenient way of doing this. A , when it receives an expose event, calls once for each child, passing in the event the received.

  takes care of deciding whether an expose event needs to be sent to the child, intersecting the event's area with the child area, and sending the event.

  In most cases, a can either simply inherit the expose implementation from , or do some drawing and then chain to the expose implementation from .

- Method
  System.Void `` `` `` Sets one or more child properties for child and . an object of type an object of type an object of type Sets one or more child properties for child and .
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Container, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gtk.Adjustment The vertical focus adjustment. an object of type an object of type
- Property
  Gtk.Adjustment The horizontal focus adjustment. an object of type an object of type
- Property
  Gtk.Widget Moves the focus to a particular child widget or finds the last-focused widget. A , a child of this container. an object of type
- Property
  System.Boolean The redraw-reallocation flag. Containers requesting reallocation redraws get automatically redrawn if any of their children changed allocation. an object of type an object of type
- Property
  Gtk.Widget A child widget for this container. an object of type an object of type
- Property
  Gtk.ResizeMode How this container behaves when resized. an object of type an object of type
- Property
  System.UInt32 This container's border width. A A
- Event
  Gtk.AddedHandler Fired when a child widget is added to the container via . Note that this event is fired only when (or its C equivalent) is called. It is not a generic widget-added notification. For example, calling will not result in this event firing.
- Event
  Gtk.FocusChildSetHandler Fired when the focus moves to a child widget of this container.
- Event
  Gtk.RemovedHandler Fired when a child widget is removed from this container Note that this event is fired only when (or its C equivalent) is called. If a subclass defines additional methods for removing widgets, then calling those methods will not result in this event being fired.
- Event
  System.EventHandler Fired when this container's resizability is queried.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Invokes a callback function on each child of this container, including children that are considered "internal" (implementation details of the container). "Internal" children generally weren't added by the user of the container but were added by the container implementation itself. a Most applications should use instead of this method.
- Method
  System.Void `` Invokes a callback function on each non-internal child of this container. See for more details on internal children. a Most applications should use this method instead of .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  Gtk.Widget[] Obtains the the container's non-internal children. An array of non-internal children.

  See for details on what constitutes an "internal" child.

- Property
  Gtk.Widget[] Sets or obtains a focus chain of the container, overriding the one computed automatically by Gtk#. An array of .

  In principle each in the chain should be a descendant of the , but this is not enforced by this method, since it is allowed to set the focus chain before you pack the widgets, or have a widget in the chain that is not always packed. The necessary checks are done when the focus chain is actually traversed.

  If no focus chain has been explicitly set, gtk# computes the focus chain based on the positions of the children. in that case, gtk# stores in focusable_widgets and returns .

- Constructor
  Protected constructor for chaining by descendant classes.
  a
- Method
  System.Void `` `` Run a given callback for every object inside this container. a , whether to include this container's children's children when running the callback. a
- Method
  GLib.GType Returns the type of children supported by this container. a
- Method
  System.Void `` `` `` `` To be added a a a a To be added